com.amazonaws.services.cloudfront

## Class CloudFrontCookieSigner.SignedCookies

- java.lang.Object
- - com.amazonaws.services.cloudfront.CloudFrontCookieSigner.SignedCookies

Direct Known Subclasses:
  CloudFrontCookieSigner.CookiesForCannedPolicy, CloudFrontCookieSigner.CookiesForCustomPolicy

Enclosing class:
  CloudFrontCookieSigner

    public static class CloudFrontCookieSigner.SignedCookies
    extends Object

Contains common cookies used by Amazon CloudFront.

### Nested Class Summary

Nested Classes
`protected static class` `CloudFrontCookieSigner.SignedCookies.CookieKeyValuePair`

### Field Summary

Fields
`protected Map.Entry<String,String>` `keyPairId` The active CloudFront key pair Id for the key pair (Trusted Signer) that you are using to generate the signature.
`protected Map.Entry<String,String>` `signature` The hashed and signed version of the policy.

### Constructor Summary

Constructors
Constructor and Description
`SignedCookies()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map.Entry<String,String>` `getKeyPairId()`
`Map.Entry<String,String>` `getSignature()`
`void` `setKeyPairId(String keyPairId)`
`void` `setSignature(String signature)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### keyPairId

    protected Map.Entry<String,String> keyPairId

The active CloudFront key pair Id for the key pair (Trusted Signer) that you are using to generate the signature. For more information, see Specifying the AWS Accounts That Can Create Signed URLs and Signed Cookies (Trusted Signers) in the Amazon CloudFront User Guide.

#### signature

    protected Map.Entry<String,String> signature

The hashed and signed version of the policy.

### Constructor Detail

#### SignedCookies

    public SignedCookies()

### Method Detail

#### getKeyPairId

    public Map.Entry<String,String> getKeyPairId()

#### setKeyPairId

    public void setKeyPairId(String keyPairId)

#### getSignature

    public Map.Entry<String,String> getSignature()

#### setSignature

    public void setSignature(String signature)